Skip to main content
GET
Get Accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

app_id
string | null
discovered_before
string<date-time> | null
discovered_after
string<date-time> | null
sources
enum<string>[] | null
Available options:
GSUITE_QUICK_INBOX,
GSUITE_DEEP_INBOX,
MICROSOFT_DEEP_INBOX,
MICROSOFT_OAUTH,
MICROSOFT_GCC,
GSUITE_OAUTH,
OKTA,
MANUAL,
ONELOGIN,
ATLASSIAN,
GOOGLE_CLOUD,
LUMOS_INTEGRATION,
JUMPCLOUD,
CUSTOM,
MCP
status
enum<string>[] | null

NOTE: If you update this, also update UserDomainAppLifecycleStatus

DISCOVERED - Account discovered through accountfinding. Could be noisy.

STAGED - An account that has been queued for provisioning, but is not provisioned yet. Relevant for Apps where provisioning is async (eg. Okta, OneLogin).

ACCESS_CREATED - When an account has been provisioned but not accessed.

ACTIVE - A live, active, accessible account.

SUSPENDED - The user can no longer access the account, the license may or may not be removed. The account can be recovered.

DEPROVISIONED - The user can no longer access the account, the license was removed, and the account cannot be recovered.

ARCHIVED - The user can no longer access the account, the license may or may not be removed. The account can be recovered.

MANUALLY_REMOVED - The user can no longer access the account, the license is presumably removed, but all of this was done manually

ACCESS_REMOVED - The user can no longer access the account, but a license may still exist. This is the case when we remove access through Okta but not a direct integration

NON_CORPORATE_ACCOUNT - The account doesn't exist, or is a personal employee account.

WAITING_MANUAL_REMOVAL - Waiting manual removal, someone was requested to remove the user access from the App, and we are waiting for an answer about it.

Available options:
DISCOVERED,
STAGED,
ACCESS_CREATED,
ACTIVE,
ARCHIVED,
SUSPENDED,
DEPROVISIONED,
MANUALLY_REMOVED,
ACCESS_REMOVED,
NON_CORPORATE_ACCOUNT,
WAITING_MANUAL_REMOVAL
expand
string[] | null

Fields to expand. Supported fields: app.

page
integer
default:1
Required range: x >= 1
size
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response